summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Frazier <eyeswide@gmail.com>2008-09-16 22:57:30 +0200
committerJames Rayner <james@archlinux.org>2008-09-17 15:12:49 +0200
commit8436ade56a7b513a9f39ea4656ee085ca7f599d2 (patch)
treee1bdef9436d2c3cff9c74e18784d4b21db3debb2
parent6603c60167e7ff8df02a923d1e0d099c46d952ca (diff)
downloadnetctl-8436ade56a7b513a9f39ea4656ee085ca7f599d2.tar.gz
netctl-8436ade56a7b513a9f39ea4656ee085ca7f599d2.tar.xz
limit dhclient to a single interface instead of all that are available.
Signed-off-by: James Rayner <james@archlinux.org>
-rw-r--r--src/ethernet.subr2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/ethernet.subr b/src/ethernet.subr
index fd46ec3..d6a6970 100644
--- a/src/ethernet.subr
+++ b/src/ethernet.subr
@@ -33,7 +33,7 @@ ethernet_up() {
if checkyesno $DHCLIENT; then
rm -r /var/run/dhclient-${INTERFACE}.pid >/dev/null 2>&1
- if ! dhclient -q -e TIMEOUT=$DHCP_TIMEOUT -pf /var/run/dhclient-${INTERFACE}.pid; then
+ if ! dhclient -q -e TIMEOUT=$DHCP_TIMEOUT -pf /var/run/dhclient-${INTERFACE}.pid $INTERFACE; then
err_append "DHCP IP lease attempt failed"
return 1
fi